> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentbody.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Return live relative keyword popularity and related trends

> Use this operation to return live relative keyword popularity and related trends. Authenticate with Authorization: Bearer <AGENTBODY_API_KEY>. Correct a 400 invalid-input error; do not retry unchanged. Retry only declared 502, 503, or 504 responses with backoff.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/seo/google-trends
openapi: 3.1.0
info:
  description: >-
    Direct authenticated APIs for public social data, people data, transcripts,
    documents, text, and SEO. Send an API key as a Bearer token. Responses never
    include provider credentials or raw provider payloads.
  license:
    name: Proprietary
    url: https://agentbody.io
  title: AgentBody API
  version: '2026-08-19'
servers:
  - url: https://api.agentbody.io
security:
  - bearerAuth: []
paths:
  /v1/seo/google-trends:
    post:
      tags:
        - seo
      summary: Return live relative keyword popularity and related trends
      description: >-
        Use this operation to return live relative keyword popularity and
        related trends. Authenticate with Authorization: Bearer
        <AGENTBODY_API_KEY>. Correct a 400 invalid-input error; do not retry
        unchanged. Retry only declared 502, 503, or 504 responses with backoff.
      operationId: post_v1_seo_google_trends
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: false
              properties:
                category_code:
                  type: integer
                date_from:
                  format: date
                  type: string
                date_to:
                  format: date
                  type: string
                item_types:
                  items:
                    type: string
                  maxItems: 1
                  type: array
                keywords:
                  items:
                    maxLength: 100
                    minLength: 2
                    type: string
                  maxItems: 5
                  minItems: 1
                  type: array
                language_code:
                  type: string
                language_name:
                  type: string
                location_code:
                  type: integer
                location_name:
                  type: string
                tag:
                  maxLength: 255
                  type: string
                time_range:
                  type: string
                type:
                  enum:
                    - web
                    - news
                    - youtube
                    - images
                    - froogle
                  type: string
              required:
                - keywords
              type: object
        required: true
      responses:
        '200':
          $ref: '#/components/responses/SEOTrendsSuccess'
        '400':
          content:
            application/json:
              example:
                error:
                  code: INVALID_ARGUMENT
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: INVALID_ARGUMENT
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Correct the input; do not retry unchanged.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '401':
          content:
            application/json:
              example:
                error:
                  code: UNAUTHENTICATED
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UNAUTHENTICATED
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Configure a valid API key; do not retry unchanged.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '502':
          content:
            application/json:
              example:
                error:
                  code: UPSTREAM_INVALID_RESPONSE
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UPSTREAM_INVALID_RESPONSE
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Retry with backoff, then report temporary unavailability.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '503':
          content:
            application/json:
              example:
                error:
                  code: UPSTREAM_UNAVAILABLE
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UPSTREAM_UNAVAILABLE
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Retry with backoff, then report temporary unavailability.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
        '504':
          content:
            application/json:
              example:
                error:
                  code: UPSTREAM_TIMEOUT
                  message: example error
              schema:
                additionalProperties: false
                properties:
                  error:
                    additionalProperties: false
                    properties:
                      code:
                        const: UPSTREAM_TIMEOUT
                        type: string
                      message:
                        type: string
                    required:
                      - code
                      - message
                    type: object
                required:
                  - error
                type: object
          description: Retry with backoff, then report temporary unavailability.
          headers:
            X-Request-Id:
              description: Gateway request identifier for support and audit.
              schema:
                format: uuid
                type: string
components:
  parameters:
    IdempotencyKey:
      description: Optional key for safely retrying a billable write request.
      example: request-20260819-001
      in: header
      name: Idempotency-Key
      required: false
      schema:
        maxLength: 255
        minLength: 1
        type: string
  responses:
    SEOTrendsSuccess:
      content:
        application/json:
          example:
            items: []
            keywords: []
          schema:
            $ref: '#/components/schemas/SEOTrendsResult'
      description: Relative keyword trends.
      headers:
        X-Request-Id:
          description: Gateway request identifier for support and audit.
          schema:
            format: uuid
            type: string
  schemas:
    SEOTrendsResult:
      additionalProperties: false
      properties:
        datetime:
          type: string
        items:
          items:
            additionalProperties: false
            properties:
              position:
                type: integer
              title:
                type: string
              type:
                enum:
                  - graph
                  - map
                  - topics
                  - queries
                type: string
            type: object
          type: array
        keywords:
          items:
            type: string
          type: array
        language_code:
          type:
            - string
            - 'null'
        location_code:
          type:
            - integer
            - 'null'
      required:
        - keywords
        - items
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````